import {httpApi} from "../../request/httpApi";
import config from "~src/config/index";

export default {
    //菜单数据
    async lazyList(form) {
        return httpApi({
            url: '/api/blade-system/menu/lazy-list',
            method: 'get',
            params: {
                sysId: config.sysId,
                ...form
            }
        }, false);
    },
    //删除菜单
    async remove(ids) {
        return httpApi({
            url: '/api/blade-system/menu/remove',
            method: 'post',
            params: {
                ids,
            }
        }, false);
    },
    //提交
    async submit(form) {
        return httpApi({
            url: '/api/blade-system/menu/submit',
            method: 'post',
            data: form
        }, false);
    },
}
